API referenceInvoices
List invoices
List all invoices in the company workspace.
GET
/invoicescurl -X GET "https://api.corma.io/v1/invoices" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0filtersobjectquery
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsInvoice[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"id": -9007199254740991,
"applicationInstanceId": -9007199254740991,
"supplierName": "string",
"currency": "string",
"totalAmount": "string",
"normalizedTotalAmount": "string",
"date": "2026-01-15T09:30:00Z",
"invoiceNumber": "string",
"source": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}